Subject: bug#66636: Move lexical-binding warning from checkdoc to byte-compiler

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Oct 2023 00:12:51 -0400

>> FWIW, I think this would be a disservice to them (and to ourselves).
>> In 99% of the cases it's just as easy to make the code work with
>> `lexical-binding:t`.
> I think we want to encourage whatever relieves users of the most work,
> not what comports best with some abstract conception of desirability.

For users it should make no difference, they don't need to do anything
(other than avert their eyes from the warning, maybe).

        Stefan